Subject: Re: [PATCH] git-clone.txt: Adjust note to --shared for new pruning behavior of git-gc

From: Jakub Narebski <[email-masked]>
Date: Thu, 03 Apr 2008 23:49:10 -0700 (PDT)

Johannes Schindelin <[email-masked]> writes:

> On Thu, 3 Apr 2008, Brandon Casey wrote:
> > But what I was really trying to point out in the documentation changes 
> > was that now _other_ commands such as git-commit are also unsafe since 
> > they call 'git-gc --auto' and could cause loose unreferenced objects to 
> > be deleted. So it is not enough to just avoid calling git-gc when 
> > dealing with a --shared repository.
> 
> Right.  Hmm.  I missed that completely when I thought about prune 
> --expire.

I think that if you are using repository from which other repos borrow
objects via alternates, it is a good idea to turn off automatic
repacking with "git gc --auto" by setting gc.auto to 0 (or, hopefully,
"never" or "false").

-- 
Jakub Narebski
Poland
ShadeHawk on #git